class SimpleSecureRedirect {
	constructor (API, name, config) {
		this.API = API;
		this.name = name;
		this.config = config;
	}

	addInsertions () {
		this.API.addInsertion('publiiHead', this.addHeadCode, 1, this);
	}

	addHeadCode () {
		let scriptToLoad = '';
		if (this.config.Force_https) {
			scriptToLoad = `<script type="text/javascript">if(location.protocol=="http:"){location.protocol="https:";}</script>`;
		}
		return scriptToLoad;
	}
}

module.exports = SimpleSecureRedirect;
